# fichier de tests du projet

# project libs importations
import lib.ultra_mastermind_obj as libobj
import lib.ultra_mastermind_imp as libimp
import lib.ultra_mastermind_pp_imp as libppimp

# min_i
assert libppimp.min_i([2,1,3,4,6,7]) == 1
assert libppimp.min_i([2,1,3,4,0,7]) == 4

# max_i
assert libppimp.max_i([2,1,3,10,6,7]) == 3
assert libppimp.max_i([2,1,3,4,0,7]) == 5

# fitness1
assert libppimp.fitness1({"chromozome": "a"}, "b") == -1
assert libppimp.fitness1({"chromozome": "Hello, world!"}, "Hello, world!") == 0

# fitness2
assert libppimp.fitness2({"chromozome": "blouette"}, "brouette", 0.5) == 7.5
assert libppimp.fitness2({"chromozome": "brouette"}, "brouette", 0.5) == 8

# fitness3
assert libppimp.fitness3({"chromozome": "Gello, worl!"}, "Hello, world!") == -2
assert libppimp.fitness3({"chromozome": "Hello, world!"}, "Hello, world!") == 0

# Impossible de faire des tests sur les autres fonctions étant donné qu'elles reposent sur de l'aléatoire.

